Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.queries_tab.toolbox
Class IntegerTemplateSlotValidator

    java.lang.Object
      edu.stanford.smi.protegex.queries_tab.toolbox.AbstractTemplateSlotNumberValidator
          edu.stanford.smi.protegex.queries_tab.toolbox.IntegerTemplateSlotValidator

All Implemented Interfaces:
  NumberValidator, Validator

    public class IntegerTemplateSlotValidator

extends AbstractTemplateSlotNumberValidator

Description of the class

Author:
  Bill Grosso

Field Summary

Fields inherited from class edu.stanford.smi.protegex.queries_tab.toolbox.AbstractTemplateSlotNumberValidator
`FORMAT_ERROR, NUMBER_OUT_OF_BOUNDS, VALID_NUMBER`

Constructor Summary
`IntegerTemplateSlotValidator(Cls cls, Slot slot)`

Method Summary
`Number` | `convertToNumber(String stringToCheck)`
`String` | `getErrorMessage()`

Methods inherited from class edu.stanford.smi.protegex.queries_tab.toolbox.AbstractTemplateSlotNumberValidator
`getErrorMessage, isValid, validateString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IntegerTemplateSlotValidator

    public IntegerTemplateSlotValidator(Cls cls,
                                        Slot slot)

Method Detail

### convertToNumber

    public Number convertToNumber(String stringToCheck)
                           throws NumberFormatException

  Throws:
    `NumberFormatException`

### getErrorMessage

    public String getErrorMessage()

  Specified by:
    `getErrorMessage` in class `AbstractTemplateSlotNumberValidator`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request